- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Protected Member Functions | Properties | Friends

# QGesture Class Reference

Search for all occurrences

## Detailed Description

Definition at line 64 of file qgesture.h.

`#include <qgesture.h>`

Inheritance diagram for QGesture:
[legend]

List of all members.

## Public Types
enum | GestureCancelPolicy { CancelNone = 0, CancelAllInContext }
## Public Member Functions
| QGesture (QObject *parent=0)
| ~QGesture ()
Qt::GestureType | gestureType () const
Qt::GestureState | state () const
QPointF | hotSpot () const
void | setHotSpot (const QPointF &value)
bool | hasHotSpot () const
void | unsetHotSpot ()
void | setGestureCancelPolicy (GestureCancelPolicy policy)
GestureCancelPolicy | gestureCancelPolicy () const
## Protected Member Functions
| QGesture (QGesturePrivate &dd, QObject *parent)
## Properties
Qt::GestureState | state
Qt::GestureType | gestureType
QGesture::GestureCancelPolicy | gestureCancelPolicy
QPointF | hotSpot
bool | hasHotSpot
## Friends
class | QGestureEvent
class | QGestureRecognizer
class | QGestureManager
class | QGraphicsScenePrivate

## Member Enumeration Documentation

enum GestureCancelPolicy

Search for all occurrences

Enumerator:

  CancelNone | Search for all occurrences
  CancelAllInContext | Search for all occurrences

Definition at line 88 of file qgesture.h.

                                 {
            CancelNone = 0,
            CancelAllInContext
        };

## Constructor & Destructor Documentation

QGesture | ( | QObject * | parent = `0` | ) | `[explicit]`

~QGesture | ( |  | ) |

QGesture | ( | QGesturePrivate & | dd,
|  | QObject * | parent
| ) |  | `[protected]`

## Member Function Documentation

Qt::GestureType gestureType | ( |  | ) | const

Search for all occurrences

Qt::GestureState state | ( |  | ) | const

Search for all occurrences

QPointF hotSpot | ( |  | ) | const

Search for all occurrences

void setHotSpot | ( | const QPointF & | value | ) |

Search for all occurrences

bool hasHotSpot | ( |  | ) | const

Search for all occurrences

void unsetHotSpot | ( |  | ) |

Search for all occurrences

void setGestureCancelPolicy | ( | GestureCancelPolicy | policy | ) |

Search for all occurrences

GestureCancelPolicy gestureCancelPolicy | ( |  | ) | const

Search for all occurrences

## Friends And Related Function Documentation

friend class QGestureEvent `[friend]`

Search for all occurrences

Definition at line 100 of file qgesture.h.

friend class QGestureRecognizer `[friend]`

Search for all occurrences

Definition at line 101 of file qgesture.h.

friend class QGestureManager `[friend]`

Search for all occurrences

Definition at line 102 of file qgesture.h.

friend class QGraphicsScenePrivate `[friend]`

Search for all occurrences

Definition at line 103 of file qgesture.h.

## Property Documentation

Qt::GestureState state `[read]`

Search for all occurrences

Definition at line 69 of file qgesture.h.

Qt::GestureType gestureType `[read]`

Search for all occurrences

Definition at line 70 of file qgesture.h.

QGesture::GestureCancelPolicy gestureCancelPolicy `[read, write]`

Search for all occurrences

Definition at line 71 of file qgesture.h.

QPointF hotSpot `[read, write]`

Search for all occurrences

Definition at line 72 of file qgesture.h.

bool hasHotSpot `[read]`

Search for all occurrences

Definition at line 73 of file qgesture.h.

The documentation for this class was generated from the following file:

- QtGui/qgesture.h

QGesture QGesture QGesture QGesture QGesture QGesture QGesture QGesture QGesture QGesture
QGesture QGesture QGesture QGesture QGesture QGesture QGesture QGesture QGesture QGesture